Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.base
Class XMLDBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xmldb.api.base.XMLDBException

All Implemented Interfaces:
  java.io.Serializable

public final class XMLDBException
extends java.lang.Exception

XMLDBException is thrown for all errors in the XML:DB API. It contains two error codes one an XML:DB error code as defined in ErrorCodes and one vendor specific. If the error being thrown is only vendor specific then errorCode MUST be set to ErrorCodes.VENDOR_ERROR.

See Also:
  `ErrorCodes`, Serialized Form

Field Summary
`int` | `errorCode`
`int` | `vendorErrorCode`

Constructor Summary
`XMLDBException()`
`XMLDBException(int errorCode)`
`XMLDBException(int errorCode, int vendorErrorCode)`
`XMLDBException(int errorCode, int vendorErrorCode, java.lang.String message)`
`XMLDBException(int errorCode, int vendorErrorCode, java.lang.String message, java.lang.Throwable cause)`
`XMLDBException(int errorCode, int vendorErrorCode, java.lang.Throwable cause)`
`XMLDBException(int errorCode, java.lang.String message)`
`XMLDBException(int errorCode, java.lang.String message, java.lang.Throwable cause)`
`XMLDBException(int errorCode, java.lang.Throwable cause)`

Method Summary
`java.lang.Throwable` | `getCause()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

### vendorErrorCode

    public int vendorErrorCode

Constructor Detail

### XMLDBException

    public XMLDBException()

### XMLDBException

    public XMLDBException(int errorCode)

### XMLDBException

    public XMLDBException(int errorCode,
                          java.lang.String message)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode,
                          java.lang.String message)

### XMLDBException

    public XMLDBException(int errorCode,
                          java.lang.Throwable cause)

### XMLDBException

    public XMLDBException(int errorCode,
                          java.lang.String message,
                          java.lang.Throwable cause)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode,
                          java.lang.Throwable cause)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode,
                          java.lang.String message,
                          java.lang.Throwable cause)

Method Detail

### getCause

    public java.lang.Throwable getCause()

### printStackTrace

    public void printStackTrace()

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.